
QGIS Application - Bug report #2435

Error when using query builder if layer name is in cyrrilics

2010-02-11 08:17 PM - Maxim Dubinin

Status: Closed

Priority: Low

Assignee: nobody -

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupts data: Copied to github as #: 12495

Description

If layer name is cyrrilic, query builder from layer properties doesn work.

To replicate:

1. Open layer (test one attached)

2. Properties\\Query builder

3. "ID" > 1

4. Test

Associated revisions

Revision e3a71fdd - 2010-02-12 08:27 AM - Jürgen Fischer

fix #2435

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@12933 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision a14ed903 - 2010-02-12 08:27 AM - Jürgen Fischer

fix #2435

git-svn-id: http://svn.osgeo.org/qgis/trunk@12933 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision c00a5293 - 2011-12-21 08:38 PM - Alexander Bruy

[BACKPORT] fix Query builder from layer properties when layer name in

cyrrilic (fix #2435)

Revision 196ff57c - 2011-12-21 08:44 PM - Alexander Bruy

[BACKPORT] fix Query builder from layer properties when layer name in

cyrrilic (fix #2435)

History

#1 - 2010-02-11 08:20 PM - Maxim Dubinin

2025-04-27 1/2

http://svn.osgeo.org/qgis/trunk/qgis@12933
http://svn.osgeo.org/qgis/trunk@12933


Also, I suggest renaming Query Builder -> Definition query, used (for example in [[ArcGIS]]) to describe a query that limits visibility of the layer to certain

features.

#2 - 2010-02-11 08:43 PM - Maxim Dubinin

Ah? scratch that, just noticed "Subset" in the frame.

#3 - 2011-04-17 03:50 AM - Maxim Dubinin

still doesn't work

poor users of cyrillic layernames

#4 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#5 - 2011-12-21 11:48 AM - Alexander Bruy

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:"c00a52934501e963b234e0b575cfd1ac4132037a".
